MiniConQueryRewriterNonConjunctive
Keywords: uk.ac.ic.doc.rodex.qproc.MiniConQueryRewriterNonConjunctive class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.rodex.qproc
Class MiniConQueryRewriterNonConjunctive

    java.lang.Object
      uk.ac.ic.doc.rodex.qproc.QueryRewriter
          uk.ac.ic.doc.rodex.qproc.MiniConQueryRewriter
              uk.ac.ic.doc.rodex.qproc.MiniConQueryRewriterNonConjunctive

    public class MiniConQueryRewriterNonConjunctive

extends MiniConQueryRewriter

QueryRewriterForFiltering.java

Author:
  Duc M Le dmle@doc.ic.ac.uk

Nested Class Summary

Nested classes/interfaces inherited from class uk.ac.ic.doc.rodex.qproc.MiniConQueryRewriter
`MiniConQueryRewriter.MiniConDescription`

Field Summary

Fields inherited from class uk.ac.ic.doc.rodex.qproc.MiniConQueryRewriter
`mcds, queryAnalyser, viewAnalysers`

Fields inherited from class uk.ac.ic.doc.rodex.qproc.QueryRewriter
`_qa, query, views`

Constructor Summary
`MiniConQueryRewriterNonConjunctive(ASG query, java.util.List views)` Creates a new instance of QueryRewriterForFiltering
`MiniConQueryRewriterNonConjunctive(ASG query, QueryAnalyser[] viewMetadata)`

Method Summary
`protected java.util.List` | `createConjunctiveQueries(java.util.List mcds, java.util.List qSubGoals)` Create the conjunctive queries from MCDs
`protected java.util.List` | `createNoneConjunctiveQueries(java.util.List mcds, java.util.List qSubGoals)`

Methods inherited from class uk.ac.ic.doc.rodex.qproc.MiniConQueryRewriter
`analyse, checkComparisonPredicates, checkConstants, contains, createQueryFromSubGoals, getLeastRestrictiveMapping, getMinimumCoverage, getQueryAnalyser, getSharedVariables, refineConjunctiveQueries, rewrite, subtractList`

Methods inherited from class uk.ac.ic.doc.rodex.qproc.QueryRewriter
`getQueryRewriterInstance, getQueryRewriterInstance, getQueryRewriterInstance, getQueryRewriterInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiniConQueryRewriterNonConjunctive

    public MiniConQueryRewriterNonConjunctive(ASG query,
                                              java.util.List views)

  Creates a new instance of QueryRewriterForFiltering

### MiniConQueryRewriterNonConjunctive

    public MiniConQueryRewriterNonConjunctive(ASG query,
                                              QueryAnalyser[] viewMetadata)

Method Detail

### createConjunctiveQueries

    protected java.util.List createConjunctiveQueries(java.util.List mcds,
                                                      java.util.List qSubGoals)

  Create the conjunctive queries from MCDs

  Overrides:
    `createConjunctiveQueries` in class `MiniConQueryRewriter`
  Parameters:
    `mcds` - a `List` of `MiniConDescription` objects
  Returns:
    `List` list of condidate queries

### createNoneConjunctiveQueries

    protected java.util.List createNoneConjunctiveQueries(java.util.List mcds,
                                                          java.util.List qSubGoals)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD